nvidia-xconfig (384.98-1) unstable; urgency=medium

  * New upstream release.
    - Fixed a regression that prevented nvidia-xconfig from querying
      some GPUs, e.g. when running `nvidia-xconfig -a`.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Nov 2017 06:15:46 +0100

nvidia-xconfig (381.22-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Nov 2017 17:32:18 +0100

nvidia-xconfig (378.13-1) unstable; urgency=medium

  * New upstream release.
  * Add B-D: dpkg-dev (>= 1.18.8) for SOURCE_DATE_EPOCH in pkg-info.mk.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 18:41:46 +0100

nvidia-xconfig (375.82-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Switch to https:// URLs.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.1.
  * Use GPL notices without FSF street address.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * Use a fixed OUTPUTDIR for improved reproducibility.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 01:21:38 +0100

nvidia-xconfig (375.26-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 03:38:29 +0100

nvidia-xconfig (375.10-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 20:36:46 +0100

nvidia-xconfig (370.28-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat level 10, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Dec 2016 12:36:53 +0100

nvidia-xconfig (367.44-1) unstable; urgency=medium

  * New upstream release.
  * Upstream build system allows creation of unstripped binaries.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Oct 2016 11:20:29 +0200

nvidia-xconfig (364.19-1) unstable; urgency=medium

  * New upstream release.
  * Fix upstream build system to allow creation of unstripped binaries.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 20:23:45 +0200

nvidia-xconfig (361.45.18-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 13:09:39 +0200

nvidia-xconfig (358.16-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 01:33:57 +0200

nvidia-xconfig (355.11-1) unstable; urgency=medium

  * New upstream release.
  * Mark nvidia-xconfig as deprecated in the Description since creating an
    xorg.conf is no longer needed for normal setups.  (Closes: #823712)
  * Enable more hardening.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Oct 2016 15:49:40 +0200

nvidia-xconfig (352.79-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Apr 2016 16:07:29 +0200

nvidia-xconfig (349.16-1) unstable; urgency=medium

  * New upstream release.
  * A few files are now under the Expat license.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Apr 2016 12:30:17 +0200

nvidia-xconfig (346.96-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Apr 2016 17:55:41 +0200

nvidia-xconfig (343.36-1) unstable; urgency=medium

  * New upstream release.
  * Resolve xorg libdir at build time.  (Closes: #749730)
  * Ship /etc/X11 instead of depending on x11-common.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Apr 2016 01:20:43 +0200

nvidia-xconfig (340.96-1) unstable; urgency=medium

  * New upstream release.
  * Convert packaging repository from SVN to GIT.
  * Build an unstripped binary s.t. we get a -dbgsym package.
  * typos.patch: New, fix some typos found by lintian.
  * Clean up properly after build.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 24 Apr 2016 14:39:12 +0200

nvidia-xconfig (340.93-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: Make the build reproducible by using deterministic timestamp,
    user and hostname strings to be included in the binary. Based on patch for
    nvidia-settings by Jérémy Bobbio.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 11:54:42 +0200

nvidia-xconfig (340.46-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 07 Oct 2014 00:10:51 -0700

nvidia-xconfig (340.32-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 20 Aug 2014 00:00:25 -0700

nvidia-xconfig (340.24-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 17:40:09 -0700

nvidia-xconfig (331.67-1) unstable; urgency=low

  * New upstream release.
  * Add lintian override for gpg signature not provided by upstream.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 14:30:11 +0200

nvidia-xconfig (319.72-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 15:11:43 +0100

nvidia-xconfig (319.60-1) unstable; urgency=low

  * New upstream release.
  * Build for armhf, too.
  * Add lintian overrides for missing upstream changelog.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2013 11:40:35 +0200

nvidia-xconfig (313.30-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Oct 2013 22:56:23 +0200

nvidia-xconfig (310.51-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Oct 2013 20:55:02 +0200

nvidia-xconfig (310.19-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 23 Nov 2012 19:05:25 +0100

nvidia-xconfig (304.108-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Aug 2013 20:50:56 +0200

nvidia-xconfig (304.88-1) unstable; urgency=low

  * New upstream release.
  * clean.patch: New. Clean generated manpage, too.
  * Support building twice in a row.
  * Use canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 May 2013 19:07:13 +0200

nvidia-xconfig (304.48-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 12 Sep 2012 12:52:29 +0200

nvidia-xconfig (304.43-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Sep 2012 03:10:29 +0200

nvidia-xconfig (304.37-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 14 Aug 2012 10:21:02 +0200

nvidia-xconfig (302.17-2) unstable; urgency=low

  * Fix building with DEB_BUILD_OPTIONS=noopt.
  * Enable verbose build by default.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 19:24:07 +0200

nvidia-xconfig (302.17-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Switch to debhelper 9 to get the hardening build flags.
  * d/rules: Use the hardened CPPFLAGS.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 27 Jun 2012 10:54:01 +0200

nvidia-xconfig (302.07-1) experimental; urgency=low

  * New upstream release.
    - Added a new option, --restore-original-backup, to nvidia-xconfig.
      nvidia-xconfig creates a backup of the original X configuration
      file when modifying an X configuration file that does not appear
      to have been previously modified by nvidia-xconfig. This option
      restores a backup of the original X configuration file, if such
      a backup is found.
    * Drop DESTDIR.diff and FHS.diff as the build system now supports DESTDIR
      and allows overriding PREFIX.
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 11:43:48 +0200

nvidia-xconfig (295.33-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Use the final copyright-format/1.0 URL.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 04 Apr 2012 14:06:14 +0200

nvidia-xconfig (295.20-1) unstable; urgency=low

  * New upstream release.
  * Copyright updates, NVIDIA switched from GPL2+ to GPL2.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 15 Feb 2012 21:31:12 +0100

nvidia-xconfig (290.10-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update to dep5.mdwn?revision=202.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 23 Nov 2011 12:32:49 +0100

nvidia-xconfig (280.13-1) unstable; urgency=low

  * New upstream release.
  * Recommend libgl1-nvidia-glx-any (for libnvidia-cfg.so.1).

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 08 Aug 2011 17:35:26 +0200

nvidia-xconfig (275.09.07-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.
  * Drop dependency on nvidia-common in favor of nvidia-installer-cleanup.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Russ Allbery <rra@debian.org>  Thu, 16 Jun 2011 07:36:43 -0700

nvidia-xconfig (270.41.06-1) unstable; urgency=low

  * New upstream release.
  * Add nvidia-installer-cleanup as an alternative to nvidia-common.
  * Update Standards-Version to 3.9.2, no changes needed.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 15 May 2011 17:56:11 -0700

nvidia-xconfig (260.19.44-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.  (Closes: #618756)
  * Add Pre-Depends: nvidia-common for nvidia-installer cleanup.

 -- Russ Allbery <rra@debian.org>  Tue, 26 Apr 2011 17:03:33 -0700

nvidia-xconfig (256.53-1) experimental; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.
  * Update DESTDIR.diff, add FHS.diff to install in /usr instead of /usr/local
  * Update Standards-Version to 3.9.1, no changes needed.
  * Switch to debhelper compat level 8, no changes needed.
  * Recommend nvidia-glx without alternatives.  This is now a virtual package
    provided by nvidia-glx-legacy-* as well.
  * Add Depends: x11-common so that /etc/X11 exists.
  * Add myself to Uploaders.

  [ Russ Allbery ]
  * Target experimental since 195.36.31-1 should ideally ship with
    squeeze.

 -- Russ Allbery <rra@debian.org>  Sat, 18 Sep 2010 14:56:07 -0700

nvidia-xconfig (195.36.31-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * Team change: switch Uploaders from Randall to Russ.
  * New upstream release.  (Closes: #479741, #368324, #547467)
  * Switch to source format 3.0 (quilt).
  * Update to debhelper compat level 7 and Standards-Version 3.8.4.
  * debian/rules: switch to dh and minimize.
  * Adjust Suggests and add nvidia-glx-legacy-* as alternatives.
  * Add watch file.
  * Rephrase long description.  (Closes: #494917)
  * Switch debian/copyright to DEP-5 format and add more license statements
    found in the source.
  * Add Vcs-* URLs.

  [ Russ Allbery ]
  * Move this package to contrib/x11 and priority extra.  It is only
    useful with the non-free NVIDIA drivers since it forces the module to
    the non-free version, and it is now rarely necessary due to the
    improved X.org auto-configuration support.
  * Increase Suggests on the nvidia-glx packages to Recommends, now
    possible with the package moved to contrib, since the library provided
    there is required for some functionality.  (Closes: #356800)
  * Add some additional information to debian/copyright about NVIDIA's
    interpretation of their licensing terms and the use of the GPL for
    code derived from LGPL code.
  * Rewrap and expand the package long description, and make it clearer in
    the short description it's only used with the non-free drivers.
  * Only build on i386 and amd64, since this package is useless without
    NVIDIA hardware.
  * Pass the correct options to the upstream Makefile to disable stripping
    if nostrip is set in DEB_BUILD_OPTIONS.  (Closes: #437655)

  [ Daniel Baumann ]
  * Add a Homepage control field pointing to the download directory.

 -- Russ Allbery <rra@debian.org>  Sat, 12 Jun 2010 23:01:11 -0700

nvidia-xconfig (1.0+20080522-2) unstable; urgency=high

  * add missing pkg-config dependancy. (closes: #497564)
  * change maintainer and uploaders.

 -- Randall Donald <rdonald@debian.org>  Fri, 05 Sep 2008 14:52:57 -0700

nvidia-xconfig (1.0+20080522-1) unstable; urgency=low

  * new upstream

 -- Randall Donald <rdonald@debian.org>  Tue, 24 Jun 2008 10:53:38 -0700

nvidia-xconfig (1.0+20070502-1) unstable; urgency=low

  * New upstream.

 -- Randall Donald <rdonald@debian.org>  Sat, 12 May 2007 15:01:23 -0700

nvidia-xconfig (1.0+20051122-2) unstable; urgency=low

  * Add license and copyright info for XF86Config-parser

 -- Randall Donald <rdonald@debian.org>  Fri, 30 Dec 2005 10:44:29 -0800

nvidia-xconfig (1.0+20051122-1) unstable; urgency=low

  * Initial Upload.

 -- Randall Donald <rdonald@debian.org>  Mon,  7 Nov 2005 10:54:24 -0800

